<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
        </h:head>
        <h:body>
            testing the use of managed beans direct injected as managed properties <br/>
            It works if both classes are definied as @ManagedBean.
            It also works using spring annotations @Component for both classes and @Autowired for injecting
            the other
            <p:ajaxStatus style="width:16px;height:16px;">
                <f:facet name="start">
                    <h:graphicImage value="../images/ajaxloadingbar.gif" />
                </f:facet>

                <f:facet name="complete">
                    <h:outputText value="" />
                </f:facet>
            </p:ajaxStatus>

            <p:messages id="msgs" showDetail="false" globalOnly="false" />

            <h:form prependId="false" id="form1">

                <h:outputText id="textId" value="#{managedbeanUsingOtherMB.neneBean.cadena}">
                </h:outputText>

                <p:commandButton value="dele" action="#{managedbeanUsingOtherMB.neneBean.changeCadenaValue}"
                                 update="msgs, textId" >
                </p:commandButton>

            </h:form>



        </h:body>
    </f:view>
</html>